Skip to main content
POST
List findings for advisory
This endpoint is experimental. It may change or be removed without notice, and is not covered by API stability guarantees.

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
string<int64>
required

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

advisoryId
string
required

Advisory identifier to get findings for

Example:

"ssc-abc123"

Body

application/json
deploymentId
string<int64>

Deployment ID (numeric). Example: 123. Can be found at /deployments, or in your Settings in the web UI.

Example:

123

advisoryId
string

Advisory identifier to get findings for

Example:

"ssc-abc123"

pageSize
integer<int64>
default:25

Number of projects per page.

Required range: 1 <= x <= 100
Example:

25

cursorFindingCount
integer<int64>

Total finding count from the last project of the previous page for cursor-based pagination.

cursorProjectName
string

Project name from the last project of the previous page for cursor-based pagination.

Response

200 - application/json

OK

projects
object[]

List of projects with their branch-level finding summaries.

hasMore
boolean

True if there are more projects to get.

cursorFindingCount
integer<int64>

Total finding count from the last project - pass to next request for pagination.

cursorProjectName
string

Project name from the last project - pass to next request for pagination.

ruleId
string

Database rule ID for constructing findings URLs (integer primary key)